with Ustrings; use Ustrings;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with Ada.Text_IO; use Ada.Text_IO;

procedure unquote is
   type state is (open, close);
   for state'Size use 1;

   buffer : Ustring;
   current_state : state := close;

   procedure replace (input : in Ustring)
   is
      outstring : Ustring;
      locbuf : String := To_String (input);
   begin
      for I in locbuf'Range loop
         if (locbuf (I) = '"') then
            if (current_state = close) then
               outstring := outstring & "";
               current_state := open;
            else
               outstring := outstring & "";
               current_state := close;
            end if;
         else
            outstring := outstring & locbuf (I);
         end if;
      end loop;
      Put_Line (outstring);
   end replace;

begin
   loop
      --  exit when eof (Stdin);
      buffer := To_Ustring ("");
      Get_Line (buffer);
      replace (buffer);
   end loop;
   exception
      when End_Error => null;
end unquote;
